Subject: Re: [RFC] New driver API to speed up small packets xmits

From: Rick Jones <[email-masked]>
Date: Thu, 10 May 2007 10:19:14 -0700

> It is the reverse - GSO will segment one super-packet just before calling
> the driver so that the stack is traversed only once. In my case, I am
> trying to send out multiple skbs, possibly small packets, in one shot.
> GSO will not help for small packets.

If there are small packets that implies small sends, which suggests that they 
would be coalesced either implicitly by the Nagle algorithm or explicitly with 
TCP_CORK no?

rick jones